Skip to main content
GET
/
o
/
{organisation_id}
/
projects
/
{project_id}
/
traces
/
{trace_id}
Get Trace
curl --request GET \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/traces/{trace_id} \
  --header 'Authorization: Bearer <token>'
{
  "traceId": "<string>",
  "spans": [
    {
      "spanId": "<string>",
      "parentSpanId": "<string>",
      "name": "<string>",
      "startTime": "2023-11-07T05:31:56Z",
      "endTime": "2023-11-07T05:31:56Z",
      "attributes": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "status": {
        "code": "OK"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required
project_id
string<ulid>
required
trace_id
string
required

Response

OK

traceId
string
required

Unique identifier for the trace

spans
object[]
required